services:
    notimeo.sections_listener:
        class: App\SectionsBundle\EventListener\SectionsSubscriber
        tags:
            - { name: doctrine.event_subscriber, connection: default }

    notimeo.sections_listener2:
        class: App\SectionsBundle\EventListener\CategoryWithSectionSubscriber
        tags:
            - { name: doctrine.event_subscriber, connection: default }

    notimeo.sections_container:
        class: App\SectionsBundle\Twig\SectionsExtension
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@request_stack'

    App\SectionsBundle\Form\Type\SearchContentType:
        class: App\SectionsBundle\Form\Type\SearchContentType
        arguments:
            - '@router'
            - '@notimeo.sections_container'
        tags:
            - { name: form.type }